Subject: Re: [PATCH 4/4] mm/hmm: exclude 64 bit arch that explicitly fail to work.

From: Paul Gortmaker <[email-masked]>
Date: Thu, 13 Apr 2017 08:03:06 -0400

[Re: [PATCH 4/4] mm/hmm: exclude 64 bit arch that explicitly fail to work.] On 13/04/2017 (Thu 15:12) Michael Ellerman wrote:

> Stephen Rothwell <[email-masked]> writes:
> 
> > Hi Paul,
> >
> > On Wed, 12 Apr 2017 20:30:14 -0400 Paul Gortmaker <[email-masked]> wrote:
> >>
> >> Since ia64 and ppc64 don't set CONFIG_64BIT, they were already
> >> excluded by the original dependency.
> >
> > My powerpc ppc64_defconfig builds have CONFIG_64BIT set ...
> >
> > $ grep CONFIG_64BIT ~/next/powerpc_ppc64_defconfig/.config
> > CONFIG_64BIT=y
> 
> Yeah, arch/powerpc/Kconfig:
> 
> config 64BIT
> 	bool
> 	default y if PPC64

Yep, as I said to Stephen earlier in this thread, I think I mistakenly
searched for 64_BIT; unfortunately I can't tell since all history has is:

   16  make  O=../ppc-build/ pasemi_defconfig
   17  vi ../ppc-build/.config

Anyway, that mis-documentation in the commit log aside, it seems like
the driver has been pulled from the linux-next content for today;
presumably to be reworked and resubmitted with better arch coverage
to address all the issues raised here.  That is probably the right
approach - we don't need to pollute git history with all that..

Thanks,
Paul.
--

> cheers